Subject: [OPSAWG] pros & cons of draft-sun-opsawg-sdwan-service-model aligning with MEF SD-WAN or ONUG SD-WAN

From: Linda Dunbar <[email-masked]>
Date: Mon, 7 Jan 2019 02:23:03 +0000

I watched the video recording of IETF 103 OPSAwg session over the Christmas break and want to add some comments (as I missed attending the session in Bangkok due to conflicts).

Both MEF and ONUG have SD-WAN related initiatives. As Charles Eckel stated in the opsawg IETF 103 session that MEF is more from service provider's perspective, whereas ONUG is more from single vendor's perspective.

ONUG has Path Service model and Reachability service models, the purpose of the Path Service model is to normalize the service specification, so that it could be implemented through any vendor's controller (via API support).  Same for Reachability Service.  The goal is to be able to configure services within a vendor domain through a single API, with defined service behaviors.

So the requirements from MEF and ONUG are for different entity, I am not sure if we can create one service models for both MEF and ONUG.

Reading through the draft-sun-opsawg-sdwan-service-model, I feel it is more from service providers' perspective, i.e. more aligned with MEF.

I agree with AD Ignas' saying that we need to define service model per ONUG user community provided requirement.
The problem is that the requirements from ONUG User community are very high level (e.g. "aggregate paths from N service providers to access hybrid clouds"), which can't be directly translated to service model requirements. Engineers, like IETF community, have to bear the burden to derive the detailed executable service model from the high level requirement from User Community. I think a more realistic method is to bring the IETF service modes to MEF and ONUG to be validated.

Best Regards,
Linda Dunbar